Subject: bug#64835: ‘describe-variable’ unconditionally let-binds ‘print-circle’ to t

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Aug 2023 08:55:43 -0400

>> > Stefan, would it be ok to turn off `print-circle' for
>> > `describe-variable' again, or would this break something in the new
>> > code?
>> I can't think of any reason it would break anything (famous last
>> words, of course :-)
> I have a strange feeling.  There was not some problem with numbering in
> the #N syntax (with `print-circle' off) that lead you to this change, or
> something like this?  I vaguely remember there was something...

There was recently an inconsistency in the numbering, but that wasn't
a serious problem, it's been fixed, and it was not related to use of
`print-circle` (IIRC I activated `print-circle` there because of
a case where I bumped into where it was "obvious" that `print-circle`
would make it a lot more readable and I didn't realize it could make it
harder to read other values for the unsuspecting user).

        Stefan